package org.greenstone.gsdl3.gs3build.doctypes;

import org.greenstone.gsdl3.gs3build.CollectionManager;

public class DocumentIDFactory implements DocumentIDFactoryInterface
{ private CollectionManager collection;

  public DocumentIDFactory(CollectionManager collection)
  { this.collection = collection;
  }

  public DocumentID getNewDocumentID(DocumentInterface document)
  { DocumentID id;

    String idString = this.collection.getNextDocumentID();
    id = new DocumentID(idString);
    
    return id;
  }
}
